@font-face {
    font-family: "AlpineProto";
    font-weight: 300;
    font-display: swap;
    src: url("../fonts/AlpineProto-Light.woff2") format("woff2")
}

@font-face {
    font-family: "AlpineProto";
    font-weight: 700;
    font-display: swap;
    src: url("../fonts/AlpineProto-Bold.woff2") format("woff2")
}

@font-face {
    font-family: "AlpineNewAlps";
    font-weight: 400;
    font-display: swap;
    src: url("../fonts/AlpineNewAlps-Regular.woff2") format("woff2")
}

body {
    font-family: "AlpineProto", sans-serif;
    padding: 0;
    margin: 0;
    color: #000;
    font-size: 16px;
    font-weight: 300;
    background: #fff
}

input,
textarea,
select,
button {
    font-size: 16px;
    color: #000;
    font-family: "AlpineProto";
    font-weight: 300
}

*,
*:after,
*:before {
    box-sizing: border-box
}

p,
h1 {
    margin: 0
}

img {
    display: block;
    max-width: 100%;
    height: auto
}

header {
    padding: 32px
}

footer {
    background: #000;
    color: #fff;
    text-align: justify;
    padding: 25px;
    font-size: 12px;
    line-height: 120%;
    font-family: "AlpineNewAlps";
    font-weight: 400
}

.desktop {
    display: none
}

main {
    display: flex;
    flex-direction: column;
    position: relative;
    max-width: 450px;
    margin: 0 auto;
    padding-bottom: 14px
}

main #illustration .splide__arrow {
    background: rgba(0, 0, 0, 0)
}

main #illustration .splide__arrow.splide__arrow--prev {
    left: 0
}

main #illustration .splide__arrow.splide__arrow--next {
    right: 0
}

main #illustration .splide__pagination {
    display: flex;
    justify-content: center;
    gap: 5px;
    padding: 0;
    bottom: 50px;
    z-index: 2
}

main #illustration .splide__pagination li {
    display: flex
}

main #illustration .splide__pagination li button {
    margin: 0;
    height: 1px;
    width: 95px;
    background: #666;
    border-radius: 0;
    position: relative
}

main #illustration .splide__pagination li button:after {
    content: "Alpine elektrische";
    font-weight: 300;
    font-size: 14px;
    position: absolute;
    text-transform: uppercase;
    top: 5px;
    left: 0;
    width: 100%;
    text-align: center;
    color: #666
}

main #illustration .splide__pagination li button.is-active {
    background: #000;
    height: 2px;
    transform: none
}

main #illustration .splide__pagination li button.is-active:after {
    color: #000
}

main #illustration .splide__pagination li:nth-child(2) button:after {
    content: "A290"
}

main #illustration .splide__pagination li:nth-child(3) button:after {
    content: "A390"
}
.disabled{
    border-bottom: solid 1px gray!important;
}
main #illustration .img-princ {
    display: flex;
    flex-direction: column;
    gap: 9px;
    height: 430px;
    position: relative
}

main #illustration .img-princ img {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: auto;
    -o-object-fit: cover;
    object-fit: cover;
    z-index: 1
}

main #illustration .img-princ .titre {
    padding: 0 32px;
    font-size: 29px;
    font-weight: 700;
    line-height: 100%;
    text-transform: uppercase;
    padding-bottom: 14px;
    position: relative;
    z-index: 2
}

main #illustration .img-princ .titre sup,
main #illustration .img-princ .titre sub {
    font-size: 16px
}

main #illustration .img-princ .titre sub {
    vertical-align: baseline
}

main #illustration .img-princ .titre:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 32px;
    width: 74px;
    height: 2px;
    background: blue
}

main #illustration .img-princ p {
    font-size: 16px;
    line-height: 120%;
    text-transform: uppercase;
    padding: 0 32px;
    z-index: 2;
    position: relative
}

main #illustration .img-princ p sup {
    font-size: 12px;
    line-height: 12px
}

main #formulaire {
    z-index: 10;
}

main #merci {
    z-index: 10;
}

main #formulaire,
main #questionnaire {
    width: calc(100% - 20px);
    margin: 0 auto;
    background: #0c1d2c;
    padding: 15px;
    display: flex;
    flex-direction: column;
    gap: 24px;
    color: #fff
}

main #formulaire .intro div,
main #questionnaire .intro div {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 300;
    line-height: 16px;
    display: none;
    flex-direction: column;
    gap: 20px
}

main #formulaire .intro div strong,
main #questionnaire .intro div strong {
    font-size: 24px;
    line-height: 100%;
    font-weight: 700
}

main #formulaire .intro div:first-child,
main #questionnaire .intro div:first-child {
    display: flex
}

main #formulaire .group,
main #questionnaire .group {
    display: flex;
    flex-direction: column;
    gap: 20px
}

main #formulaire .form-cadre>label,
main #questionnaire .form-cadre>label {
    text-transform: uppercase;
    font-size: 16px;
    line-height: 120%;
    font-weight: 700
}

main #formulaire .form-cadre input,
main #questionnaire .form-cadre input {
    font-size: 16px
}

main #formulaire .form-cadre input::-moz-placeholder,
main #questionnaire .form-cadre input::-moz-placeholder {
    color: #fff
}

main #formulaire .form-cadre input::placeholder,
main #questionnaire .form-cadre input::placeholder {
    color: #fff
}

main #formulaire .text,
main #questionnaire .text {
    font-size: 14px;
    line-height: 120%;
    font-weight: 300;
    text-transform: uppercase
}

main #formulaire .champ,
main #questionnaire .champ {
    background: rgba(0, 0, 0, 0);
    border: none;
    border-bottom: 1px solid #fff;
    height: 27px;
    font-size: 16px;
    font-weight: 300;
    border-radius: 0;
    line-height: 44px;
    display: block;
    width: 100%;
    padding: 0 0 5px 0;
    color: #fff;
    text-transform: uppercase;
    outline: none
}

main #formulaire select.champ,
main #questionnaire select.champ {
    background: #0c1d2c;
    padding: 0 6px 0 0
}

main #formulaire select.champ option,
main #questionnaire select.champ option {
    color: #fff
}

main #formulaire .radio,
main #questionnaire .radio {
    display: flex;
    flex-direction: column;
    gap: 10px
}

main #formulaire .radio span,
main #questionnaire .radio span {
    font-size: 15px;
    line-height: 18px;
    font-weight: 700;
    text-transform: uppercase
}

main #formulaire .radio .options,
main #questionnaire .radio .options {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px
}

main #formulaire .radio .options label,
main #questionnaire .radio .options label {
    width: 150px;
    text-align: center;
    color: #69747d;
    position: relative;
    transition: color .45s ease-in-out, border-color .45s ease-in-out;
    cursor: pointer;
    text-transform: uppercase;
    font-size: 14px;
    line-height: 120%;
    font-weight: 300;
    padding: 11px 0;
    border-bottom: 1px solid #69747d
}

main #formulaire .radio .options label input,
main #questionnaire .radio .options label input {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0
}

main #formulaire .radio .options label:has(input:checked),
main #formulaire .radio .options label:hover,
main #questionnaire .radio .options label:has(input:checked),
main #questionnaire .radio .options label:hover {
    color: #fff;
    border-color: blue
}

main #formulaire .checkboxes,
main #questionnaire .checkboxes {
    display: flex;
    flex-direction: column;
    gap: 14px
}

main #formulaire .checkboxes .checkbox,
main #questionnaire .checkboxes .checkbox {
    display: flex;
    flex-direction: row;
    gap: 40px;
    align-items: center
}

main #formulaire .checkboxes span,
main #questionnaire .checkboxes span {
    font-size: 14px;
    line-height: 120%;
    font-weight: 300;
    text-transform: uppercase;
    color: #ced2d5;
    min-width: 55px
}

main #formulaire .checkboxes label,
main #questionnaire .checkboxes label {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px
}

main #formulaire .checkboxes label p,
main #questionnaire .checkboxes label p {
    font-size: 16px;
    line-height: 120%;
    font-weight: 700;
    text-transform: uppercase
}

.p-perso {
    font-size: 14px !important;
    font-weight: 300 !important;
}

.ml a {
    color: white;
}

main #formulaire .checkboxes input,
main #questionnaire .checkboxes input {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    min-width: 25px;
    width: 25px;
    height: 25px;
    border: 1px solid #fff;
    accent-color: #0000FF;
    border-radius: 100%;
    margin: 0;
    position: relative
}

main #formulaire .checkboxes input:before,
main #questionnaire .checkboxes input:before {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    content: "";
    width: 100%;
    height: 100%;
    scale: 0;
    background: #0000FF;
    border-radius: 100%
}

main #formulaire .checkboxes input:checked::before,
main #questionnaire .checkboxes input:checked::before {
    scale: 1
}







main #formulaire button,
main #questionnaire button,
main #merci .infos a {
    height: 60px;
    width: 100%;
    max-width: 360px;
    border: none;
    background: #0000FF;
    color: #fff;
    text-transform: uppercase;
    position: relative;
    font-size: 20px;
    line-height: 20px;
    font-weight: 600;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    cursor: pointer;
    transition: all .45s ease-in-out;
    overflow: hidden;
    font-family: 'AlpineNewAlps', sans-serif;
}

main #formulaire button:before,
main #questionnaire button:before,
main #merci .infos a:before {
    content: '';
    opacity: 0;
    position: absolute;
    top: 16px;
    right: 0;
    height: 2px;
    width: 245px;
    background: linear-gradient(to right, transparent, #ED2939, transparent);
    pointer-events: none;
}

main #formulaire button:after,
main #questionnaire button:after,
main #merci .infos a:after {
    content: '';
    opacity: 0;
    position: absolute;
    bottom: 16px;
    left: 0;
    height: 2px;
    width: 245px;
    background: linear-gradient(to right, transparent, #ED2939, transparent);
    pointer-events: none;
}

main #formulaire button:hover,
main #questionnaire button:hover,
main #merci .infos a:hover {
    background: #fff;
    color: #0000FF;
}

main #formulaire button:hover:before,
main #questionnaire button:hover:before,
main #merci .infos a:hover:before {
    /*animation-play-state: running;*/
    /*animation-direction: reverse;*/
    animation: buttonBefore 1s linear;
}

main #formulaire button:hover:after,
main #questionnaire button:hover:after,
main #merci .infos a:hover:after {
    /*animation-play-state: running;*/
    /*animation-direction: reverse;*/
    animation: buttonAfter 1s linear;
}

.form-cadre {
    width: 100%;
}


@keyframes buttonBefore {
    from {
        opacity: 1;
        right: 0;
    }

    to {
        opacity: 1;
        right: 100%;
    }
}

@keyframes buttonAfter {
    from {
        opacity: 1;
        left: 0;
    }

    to {
        opacity: 1;
        left: 100%;
    }
}






main #formulaire .legend,
main #questionnaire .legend {
    font-size: 14px;
    font-weight: 300;
    text-transform: uppercase;
    text-align: center;
    margin-top: -8px
}

/* main #questionnaire {
    display: none
} */

main #questionnaire .intro {
    display: flex;
    flex-direction: column;
    gap: 20px;
    text-transform: uppercase;
    font-size: 14px;
    line-height: 18px;
    font-weight: 300
}

main #questionnaire .intro strong {
    font-size: 21px;
    line-height: 18px
}

#merci {
    text-align: center;
    font-size: 19px;
    /* display: none; */
    flex-direction: column;
    gap: 20px;
    background: #0c1d2c;
    padding: 35px 25px;
    color: #fff;
    text-align: center;
    margin: 0 10px
}

#merci .infos {
    flex-direction: column;
    gap: 35px;
    display: none
}

#merci .infos:first-child {
    display: flex
}

#merci .infos p {
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 300
}

#merci .infos p strong {
    font-weight: 700
}

#merci .infos a {
    background: blue;
    color: #fff;
    text-align: center;
    width: 100%;
    max-width: 360px;
    height: 60px;
    font-size: 20px;
    font-weight: 700;
    border: 1px solid blue;
    font-weight: bold;
    border-radius: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    padding: 0;
    transition: background .45s ease-in-out;
    text-transform: uppercase;
    margin: 10px auto 0 auto;
    outline: none;
    text-decoration: none
}

#merci .infos a:hover {
    background: rgba(0, 0, 0, 0)
}

#merci .text {
    font-size: 18px;
    font-weight: 300;
    text-transform: uppercase;
    margin-top: 15px;
}

#merci .rs {
    display: flex;
    flex-direction: row;
    gap: 30px;
    justify-content: center;
    align-items: center
}

#merci .rs a {
    text-decoration: none
}

#merci .rs a img {
    transition: transform .45s ease-in-out
}

#merci .rs a img:hover {
    transform: scale(1.1)
}

.logo-ms {
    width: 100%;
    position: absolute;
    bottom: 3%;
    left: 51%;
    display: flex;
    align-items: baseline;
    gap: 11px;
}

.partenaire-text {
    color: #000;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    position: relative;
    z-index: 2
}

.m-logo {
    position: relative !important;
    width: 70px !important;
    height: 50px !important;
}

@media(min-width: 450px) {
    .logo-ms {
        bottom: 6%;
        left: 60%;
    }
}

@media(min-width: 1280px) {
    .desktop {
        display: block
    }

    .mobile {
        display: none
    }

    main {
        max-width: 1728px;
        padding-right: 92px;
        padding-top: 50px;
        padding-bottom: 0
    }

    main #illustration {
        width: 100%;
        height: 859px
    }

    main #illustration .container-princ,
    main #illustration .img-track {
        height: 100%
    }

    main #illustration .splide__pagination {
        justify-content: flex-start;
        padding-left: 93px;
        bottom: 150px
    }

    main #illustration .splide__pagination li button {
        width: 131px
    }

    main #illustration .splide__pagination li button:after {
        text-align: left
    }

    main #illustration .splide__arrow.splide__arrow--next {
        right: 45%
    }

    main #illustration .splide__arrow.splide__arrow--prev {
        left: 25px
    }

    main #illustration .img-princ {
        padding-right: 50%;
        height: 100%
    }

    main #illustration .img-princ .titre {
        font-size: 52px;
        padding-left: 93px;
        padding-bottom: 19px
    }

    main #illustration .img-princ .titre:after {
        left: 93px
    }

    main #illustration .img-princ p {
        font-size: 22px;
        padding-left: 93px;
        padding-right: 0
    }

    main #illustration .img-princ img {
        width: 70%
    }

    .m-logo {
        position: relative !important;
        width: 150px !important;
        height: 107px !important;
    }

    main #illustration .img-princ[data-id=alpine] p {
        font-size: 29px
    }

    main #formulaire,
    main #questionnaire {
        width: 40%;
        max-width: 675px;
        padding: 60px 40px 40px 40px;
        position: absolute;
        right: 92px;
        top: -85px;
        gap: 32px
    }

    main #formulaire .group,
    main #questionnaire .group {
        flex-direction: row;
        gap: 35px
    }

    .group-column {
        flex-direction: column !important;
    }

    main #formulaire .checkboxes,
    main #questionnaire .checkboxes {
        flex-direction: row;
        justify-content: space-between;
        margin-top: -18px
    }

    main #formulaire .checkboxes .checkbox,
    main #questionnaire .checkboxes .checkbox {
        gap: 20px
    }

    main #formulaire>.form-cadre:nth-child(2),
    main #questionnaire>.form-cadre:nth-child(2) {
        margin-top: -12px
    }

    main #formulaire .legend,
    main #questionnaire .legend {
        margin-top: -18px
    }

    main #questionnaire .intro {
        font-size: 20px
    }

    main #questionnaire .intro strong {
        font-size: 29px
    }

    main #merci {
        /* width: 40%; */
        max-width: 675px;
        padding: 60px 40px;
        position: absolute;
        right: 92px;
        top: 50%;
        transform: translateY(-50%)
    }

    .partenaire-text {
        font-size: 27px;
    }

    .logo-ms {
        left: 33%;
    }
    footer {
        margin-top: 50px;
    }
    .code-postal{
        width: calc(50% - 20px);
    }
}

@media(min-width: 1600px) {

    .logo-ms {
        left: 40%;
    }
    main #formulaire .checkboxes .checkbox,
    main #questionnaire .checkboxes .checkbox {
        gap: 50px
    }
}